    drop table bkdetail onerror warning;
    create table bkdetail
            (recno       serial,
            bkno         integer,
            bookdate      date,
            supplier      char(6),
            ship          char(6),
            departdate    date,
            descript      char(20),
            salamount     money
         );

   create unique index bkdbkno
        on bkdetail   (bkno, recno);

   create unique index bkdtest
        on bkdetail   (supplier, ship,  departdate, recno);

   create index bkdtrip
        on bkdetail   (supplier, ship,  departdate);

   create index bkdsupdepart
        on bkdetail   (supplier, departdate);

   create index bkdsupbook
        on bkdetail   (supplier, bookdate);


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "02/02/87", "CCL", "TUG",  "06/01/87",
          "Cruise Cabin A", "300.00");
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "02/02/87", "HOTEL", "CLAR",  "06/01/87",
          "Double Suite", "200.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "02/02/87", "AIR", "",  "06/01/87",
          "Regular Faire", "100.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "02/02/87", "PCL", "",  "06/01/87",
          "Cruise Delux Cabin", "150.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "02/02/87", "INSUR", "",  "06/01/87",
          "$100,000", "10.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "03/03/87", "SIT", "DUKE",  "06/01/87",
          "Cruise", "250.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "03/03/87", "INSUR", "",  "06/01/87",
          "$250,000", "20.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount) values
         ("1", "03/03/87", "HOTEL", "DUKE",  "06/01/87",
          "Regular Faire", "300.00" );



    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("3", "03/03/87", "AIR", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("3", "03/03/87", "PCL", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );
    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("3", "03/03/87", "INSUR", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("4", "03/04/87", "CCL", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("4", "03/04/87", "SIT", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("4", "03/04/87", "PCL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("5", "03/05/87", "AIR", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("5", "03/05/87", "SIT", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("5", "03/05/87", "PCL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("6", "03/06/87", "CCL", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("6", "03/06/87", "SIT", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("6", "03/06/87", "HOTEL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("7", "03/07/87", "AIR", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("7", "03/07/87", "SIT", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("7", "03/07/87", "HOTEL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("8", "03/08/87", "PRINCE", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("8", "03/08/87", "SITMAR", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("8", "03/08/87", "PEARL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("9", "03/09/87", "PRINCE", "DUKE",  "06/01/87",
          "Regular Faire", "100.00" );

    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("9", "03/09/87", "SITMAR", "DUKE",  "06/01/87",
          "Regular Faire", "150.00" );


    insert into bkdetail
         (bkno, bookdate, supplier, ship,  departdate,
          descript, salamount)
       values
         ("9", "03/09/87", "PEARL", "DUKE",  "06/01/87",
          "Regular Faire", "250.00" );

