

    alter table menufield add(menufieldid serial before exectype);

    drop table menuuser onerror warning; 
    create table menuuser
       (usercode      char(10),  /* usually login name */
        usertype    char(10),
        password      char(10),
        flag1         char(1),
        flag2         char(1),
        flag3         char(1),
        description   char(25)
        );
   create unique index menuuserkey
        on menuuser (usercode);

    drop table menuusty onerror warning; 
    create table menuusty
       (usertype    char(10),
        menuname      char(10),
        password      char(10),
        osflag        char(1),
        flag1         char(1),
        flag2         char(1),
        flag3         char(1),
        description   char(25)
        );
   create unique index menuustykey
        on menuusty (usertype);

    drop table menuperm onerror warning;
    create table menuperm
       (usertype  char(10), 
        menufieldid integer,
        permtype  char(1),
        permlist  char(30),
        execline    char(30),
        password      char(10)
        );
   create unique index menupermkey
        on menuperm (usertype, menufieldid);


